Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields | Static Public Attributes
proofs::SumcheckPoly< N, Field > Class Template Reference
Collaboration diagram for proofs::SumcheckPoly< N, Field >:
[legend]

## Public Types
using | Elt = typename Field::Elt
using | T = SumcheckPoly

## Public Member Functions
| SumcheckPoly (const Poly< N, Field > &p)
Elt & | operator[] (size_t i)
const Elt & | operator[] (size_t i) const
T & | add (const T &y, const Field &F)
T & | sub (const T &y, const Field &F)
T & | mul (const T &y, const Field &F)
T & | mul_scalar (const Elt &y, const Field &F)
Poly< N, Field > | to_poly (const Elt &p1) const

## Data Fields
Elt | t_ [N]

## Static Public Attributes
static const size_t | kN = N

The documentation for this class was generated from the following file:

- lib/algebra/poly.h